PaidGoods

Rename an image or set its alt text

PATCH
/v1/stores/{storeId}/images/{imageId}

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string
imageId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://example.com/v1/stores/string/images/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "url": "string",  "contentType": "string",  "size": 0,  "width": 0,  "height": 0,  "alt": "string",  "filename": "string",  "usedBy": [    {      "type": "product",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string"    }  ],  "createdAt": "string"}